Bug 978129 - Please consider to backport patch: issue9374 urlparse should parse query and fragment for arbitrary schemes
Please consider to backport patch: issue9374 urlparse should parse query and ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: python (Show other bugs)
6.5
All Linux
low Severity low
: rc
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Jan Kepler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 23:21 EDT by Gris Ge
Modified: 2013-11-21 04:15 EST (History)
2 users (show)

See Also:
Fixed In Version: python-2.6.6-47.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 04:15:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gris Ge 2013-06-25 23:21:39 EDT
Description of problem:

http://bugs.python.org/issue9374

Before patch:
=====
Python 2.6.6 (r266:84292, Oct 12 2012, 14:23:48) 
[GCC 4.4.6 20120305 (Red Hat 4.4.6-4)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import urlparse
>>> print urlparse.urlparse('smispy+ssl://admin@emc-smi:5989?namespace=root/emc').path
?namespace=root/emc
>>> print urlparse.urlparse('smispy+ssl://admin@emc-smi:5989?namespace=root/emc').query

>>> print urlparse.urlparse('smispy+ssl://admin@emc-smi:5989?namespace=root/emc')
ParseResult(scheme='smispy+ssl', netloc='admin@emc-smi:5989', path='?namespace=root/emc', params='', query='', fragment='')
>>>
=====

After patch:
=====
>>> print urlparse.urlparse('smispy+ssl://admin@emc-smi:5989?namespace=root/emc').path

>>> print urlparse.urlparse('smispy+ssl://admin@emc-smi:5989?namespace=root/emc').query
namespace=root/emc
=====

Version-Release number of selected component (if applicable):
python-2.6.6-36.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Check python command above
2.
3.

Actual results:
'?namespace=root/emc' is saved into urlparse.urlparse.path

Expected results:
'?namespace=root/emc' is saved into urlparse.urlparse.query

Additional info:
Please be informed, once the python patch introduced into RHEL 6, anyone who depend on 'urlparse.urlparse.path' might impact.
Please close this as not fix if this is too risky for RHEL 6.
Comment 2 Bohuslav "Slavek" Kabrda 2013-07-03 04:40:13 EDT
We can fix this easily by applying these two upstream patches:
http://hg.python.org/cpython/rev/79e6ff3d9afd
http://hg.python.org/cpython/rev/a43481210964
Comment 9 errata-xmlrpc 2013-11-21 04:15:18 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1582.html

Note You need to log in before you can comment on or make changes to this bug.